from django.db import models
from django.urls import reverse

# Create your models here.
class Author(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()
    nationality = models.CharField(max_length=100)
    bio = models.TextField()
    
    def __str__(self):
        return (self.first_name + " " + self.last_name)
    
    def get_name(self):
        return self.__str__()
        
    def get_absolute_url(self):
        return reverse('bookshelf:AuthorDetailView', kwargs={'pk': self.pk})
        
    def get_update_url(self):
        return reverse('bookshelf:AuthorUpdateView', kwargs={'pk': self.pk})
        
class Books(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=100)
    year_published = models.IntegerField()
    ISBN = models.IntegerField()
    blurb = models.TextField()
    
    def __str__(self):
        return self.title
        
    def get_name(self):
        return self.__str__()
    
    def get_absolute_url(self):
        return reverse('bookshelf:BookDetailView', kwargs={'pk': self.pk})
        
    def get_update_url(self):
        return reverse('bookshelf:BookUpdateView', kwargs={'pk': self.pk})