from django.urls import path
from .views import *

urlpatterns = [
    path('', home, name='home'),
    path('books/', BooksView.as_view(), name='BooksView'),
    path('authors/', AuthorsView.as_view(), name='AuthorsView'),
    path('books/<int:pk>/details', BookDetailView.as_view(), name='BookDetailView'),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name='AuthorDetailView'),
    path ('books/add', BooksCreateView.as_view(), name='AddBook'),
    path ('authors/add/', AuthorCreateView.as_view(), name='AddAuthor'),
    path('books/<int:pk>/edit', BookUpdateView.as_view(), name='BookUpdateView'),
    path('authors/<int:pk>/edit', AuthorUpdateView.as_view(), name='AuthorUpdateView'),
]

app_name="bookshelf"