from django.shortcuts import render
from django.http import HttpResponse
from django.views import View
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView
from .models import *

# Create your views here.
def home(request):
    return render(request,"bookshelf/home.html")

class BooksView(View):
    def get(self, request):
        books = Books.objects.all()
        return render(request,"bookshelf/books.html", {'books': books})
    
class AuthorsView(View):
    def get(self, request):
        authors = Author.objects.all()
        return render(request,"bookshelf/authors.html", {'authors': authors})
        
class BookDetailView(DetailView):
    model = Books
    
class AuthorDetailView(DetailView):
    model = Author
    
class BooksCreateView(CreateView):
    model = Books
    fields = '__all__'
    template_name = 'bookshelf/add-book.html'
    
class AuthorCreateView(CreateView):
    model = Author
    fields = '__all__'
    template_name = 'bookshelf/add-author.html'
    
class BookUpdateView(UpdateView):
    model = Books
    fields = '__all__'
    template_name = 'bookshelf/edit-book.html'
    
class AuthorUpdateView(UpdateView):
    model = Author
    fields = '__all__'
    template_name = 'bookshelf/edit-author.html'